#!/bin/bash
s1=("infograph" "clipart" "clipart" "clipart" "clipart" "clipart") 
s2=("painting" "painting" "infograph" "infograph" "infograph" "infograph")
s3=("quickdraw" "quickdraw" "quickdraw" "painting" "painting" "painting")
s4=("real" "real" "real" "real" "quickdraw" "quickdraw")
s5=("sketch" "sketch" "sketch" "sketch" "sketch" "real")
t=("clipart" "infograph" "painting" "quickdraw" "real" "sketch" )
for((index=3; index < 4; index++));do
    python train_domainnet.py \
    --dataset Office-home\
    --root_path ../data/DomainNet/ \
    --source1_name ${s1[index]}.txt \
    --source2_name ${s2[index]}.txt \
    --source3_name ${s3[index]}.txt \
    --source4_name ${s4[index]}.txt \
    --source5_name ${s5[index]}.txt \
    --target_name ${t[index]}.txt \
    --lr 0.01 \
    --gpu_id 0 \
    --log_interval 400 \
    >>result_domainnet/${t[index]}.log 2>&1
done

